"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _IExpression = _interopRequireDefault(require("./IExpression"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class _default extends _IExpression.default {
  /**
   * constructor
   * @param {IExpression[]} expressions
   * @param {FuzzyCondition} condition
   */
  constructor(expressions, condition) {
    super();
    this._expressions = expressions;
    this._condition = condition;
  }

  /**
   * @returns {IExpression[]}
   */
  get expressions() {
    return this._expressions;
  }

  /**
   * @param {IExpression[]} val
   */
  set expressions(val) {
    this._expressions = val;
  }

  /**
   * @returns {FuzzyCondition}
   */
  get condition() {
    return this._condition;
  }

  /**
   * @param {FuzzyCondition} val
   */
  set condition(val) {
    this._condition = val;
  }

  /**
   * @override
   * @returns {string}
   */
  get text() {
    var sb = '';
    for (var ex of this._expressions) {
      sb += ex.text;
    }
    return sb;
  }
}
exports.default = _default;