"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var OperatorType = _interopRequireWildcard(require("../enums/OperatorType"));
var _ICondition = _interopRequireDefault(require("./ICondition"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/**
 * Several conditions linked by or/and operators
 */
class _default extends _ICondition.default {
  constructor() {
    super();
    this._not = false;
    this._op = OperatorType.And;
    this._conditions = [];
  }

  /**
   * @returns {Boolean} Is MF inverted
   */
  get useNot() {
    return this._not;
  }

  /**
   * Is MF inverted
   * @param {Boolean} val
   */
  set useNot(val) {
    this._not = val;
  }

  /**
   * @returns {OperatorType} Operator that links expressions (and/or)
   */
  get op() {
    return this._not;
  }

  /**
   * Operator that links expressions (and/or)
   * @param {OperatorType} val
   */
  set op(val) {
    this._not = val;
  }

  /**
   * @returns {Array} A list of conditions (single or multiples)
   */
  get conditionsList() {
    return this._conditions;
  }
}
exports.default = _default;