"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _IMembershipFunction = _interopRequireDefault(require("./IMembershipFunction"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * Constant membership function
 */
class _default extends _IMembershipFunction.default {
  /**
   * Constructor
   * @param {number} constVal Constant value
   */
  constructor(constVal) {
    super();
    if (constVal < 0.0 || constVal > 1.0) {
      throw new Error('Must be between 0.0 and 1.0');
    }
    this._constValue = constVal;
  }

  /**
   * Evaluate value of the membership function
   * @param {number} x Argument (x axis value)
   * @returns {number}
   */
  getValue(x) {
    return this._constValue;
  }
}
exports.default = _default;