"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var HedgeType = _interopRequireWildcard(require("../enums/HedgeType"));
var _SingleCondition = _interopRequireDefault(require("./SingleCondition"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/**
 * Condition of fuzzy rule for the Mamdani systems
 */
class _default extends _SingleCondition.default {
  /**
   * Constructor
   * @param {FuzzyVariable} [namedVar] A linguistic variable to which the condition is related
   * @param {FuzzyTerm} [term] A term in expression 'var is term'
   * @param {Boolean} [useNot] Does condition contain 'not'
   * @param {HedgeType} [hedge] Hedge modifier
   */
  constructor(namedVar, term, useNot, hedge) {
    super(namedVar, term, useNot);
    this._hedge = hedge || HedgeType.None;
  }

  /**
   * @returns {HedgeType} Hedge modifier
   */
  get hedge() {
    return this._hedge;
  }

  /**
   * Hedge modifier
   * @param {HedgeType} val
   */
  set hedge(val) {
    this._hedge = val;
  }
}
exports.default = _default;