"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _NamedValue = _interopRequireDefault(require("./NamedValue"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * Linguistic term
 */
class _default extends _NamedValue.default {
  /**
   * Constructor
   * @param {string} name Term name
   * @param {IMembershipFunction} mf
   */
  constructor(name, mf) {
    super(name);
    this._mf = mf;
  }

  /**
   * @returns {IMembershipFunction} Membership function initially associated with the term
   */
  get membershipFunction() {
    return this._mf;
  }
}
exports.default = _default;