"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _Conditions = _interopRequireDefault(require("./Conditions"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * Implements common functionality of fuzzy rules
 * @abstract
 */
class _default {
  constructor() {
    this._condition = new _Conditions.default();
  }

  /**
   * @returns {Conditions} Condition (IF) part of the rule
   */
  get condition() {
    return this._condition;
  }

  /**
   * Condition (IF) part of the rule
   * @param {Conditions} val
   */
  set condition(val) {
    this._condition = val;
  }

  /**
   * @returns {SingleCondition} Conclusion (THEN) part of the rule
   */
  get conclusion() {
    return this._conclusion;
  }

  /**
   * @param {SingleCondition} val Conclusion (THEN) part of the rule
   */
  set conclusion(val) {
    this._conclusion = val;
  }
}
exports.default = _default;