"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _FuzzyCondition = _interopRequireDefault(require("./FuzzyCondition"));
var _GenericFuzzyRule = _interopRequireDefault(require("./GenericFuzzyRule"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * Fuzzy rule for Mamdani fuzzy system
 */
class _default extends _GenericFuzzyRule.default {
  /**
   * Constructor. NOTE: a rule cannot be created directly, only via MamdaniFuzzySystem.emptyRule or MamdaniFuzzySystem.parseRule
   */
  constructor() {
    super();
    this._conclusion = new _FuzzyCondition.default();
    this._weight = 1.0;
  }

  /**
   * @returns {number} Weight of the rule
   */
  get weight() {
    return this._weight;
  }

  /**
   * @param {number} val Weight of the rule
   */
  set weight(val) {
    this._weight = val;
  }
}
exports.default = _default;