"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.KEYWORDS = void 0;
exports.isValidName = isValidName;
var KEYWORDS = ['if', 'then', 'is', 'and', 'or', 'not', '(', ')', 'slightly', 'somewhat', 'very', 'extremely'];

/**
 * Check the name of variable/term.
 * @param {String} name
 */
exports.KEYWORDS = KEYWORDS;
function isValidName(name) {
  //
  // Empty names are not allowed
  //
  var nameLength = name.length;
  if (nameLength === 0) {
    return false;
  }

  //
  // Only letters, numbers or '_' are allowed
  //
  if (/^\w+$/.test(name) === false) {
    return false;
  }

  //
  // Identifier cannot be a keword
  //
  var isValid = true;
  for (var kw of KEYWORDS) {
    if (name === kw) {
      isValid = false;
      break;
    }
  }
  return isValid;
}