"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var NameHelper = _interopRequireWildcard(require("./NameHelper"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/**
 * Base class for named entities
 * @abstract
 */
class _default {
  /**
   * Constructor
   * @param {String} name Name
   */
  constructor(name) {
    if (NameHelper.isValidName(name) === false) {
      throw new Error('Invalid name');
    }
    this._name = name;
  }

  /**
   * Name
   * @returns {String}
   */
  get name() {
    return this._name;
  }

  /**
   * @param {String} val Name
   */
  set name(val) {
    if (NameHelper.isValidName(val) === false) {
      throw new Error('Invalid name');
    }
    this._name = name;
  }
}
exports.default = _default;